VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties
VisiMath.VertexList< T > Class Template Reference

Vertex List for dynamically building vertex data Contains quick accessors for commonly used vertex elements. More...

Inheritance diagram for VisiMath.VertexList< T >:

List of all members.

## Public Member Functions
| VertexList ()
| Default constructor.
| VertexList (int capacity)
| Constructs vertexlist with specified capacity.
| VertexList (IEnumerable< T > verarray)
| Constructs vertex list from the vertex collection.
void | AddArray (IVertexArray varray)
| Adds content of the array to the list (and converts vertices to the same format)
VertexArray< T > | ToVertexArray ()
| Converts vertexlist to vertexarray.
new IEnumerator< IVertex > | GetEnumerator ()
IntPtr | GetPointer ()
| Returns pointer to pinned array which can be used in unmanaged code. Must be freed again with freepointer! Note: each call to this function creates VertexArray from vertexlist. It's usualy convert vertexlist to normal VertexArray before using it in renderer.
void | FreePointer ()
| Frees previously pinned pointer to array and internal array.
int | GetSize ()
| Total size of the array.
int | GetVertexSize ()
| Size of one vertex.
void | Dispose ()
IVertexArray | GetCopy ()
| Returns array.
System.Xml.Schema.XmlSchema | GetSchema ()
| Reqired by IXMLserializable.
void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
void | WriteXml (System.Xml.XmlWriter writer)
| Serializes object to XML.
## Protected Member Functions
void | ConstructIndexers ()
## Properties
VertexIndexerVec3 | Positions`[get]`
| Quick accessor to position vectors.
VertexIndexerVec3 | Normals`[get]`
| Quick acessor to normal vectors.
VertexIndexerVec2 | TexCoords`[get]`
| Quick acessors to texture coordinates.
VertexIndexerColorByte | Colors`[get]`
| Quick accessor to color informations.
new IVertex | this[int index]`[get, set]`
VertexDescriptor | Descriptor`[get]`
bool | IsPinnable`[get]`
| Returns true if it's possible to pin vertices and use it in unmanaged code with GetPointer Dynamic VertexLists returns false (it's still possible to use GetPointer, but new vertexarray will be created!)

## Detailed Description

### template<T>
class VisiMath::VertexList< T >

Vertex List for dynamically building vertex data Contains quick accessors for commonly used vertex elements.

Template Parameters:

  T | Vertex structure, must implement IVertex information, not just vertex attributes

Type Constraints

  T | : | IVertex |

## Member Function Documentation

template<T >

void VisiMath.VertexList< T >.AddArray | ( | IVertexArray | varray | ) |

Adds content of the array to the list (and converts vertices to the same format)

Parameters:

  varray | array to add

template<T >

void VisiMath.VertexList< T >.ConstructIndexers | ( |  | ) | `[protected]`

template<T >

void VisiMath.VertexList< T >.Dispose | ( |  | ) |

template<T >

void VisiMath.VertexList< T >.FreePointer | ( |  | ) |

Frees previously pinned pointer to array and internal array.

Implements VisiMath.IVertexArray.

template<T >

IVertexArray VisiMath.VertexList< T >.GetCopy | ( |  | ) |

Returns array.

Returns:
  vertexarray with contents of the list

Implements VisiMath.IVertexArray.

template<T >

new IEnumerator<IVertex> VisiMath.VertexList< T >.GetEnumerator | ( |  | ) |

template<T >

IntPtr VisiMath.VertexList< T >.GetPointer | ( |  | ) |

Returns pointer to pinned array which can be used in unmanaged code. Must be freed again with freepointer! Note: each call to this function creates VertexArray from vertexlist. It's usualy convert vertexlist to normal VertexArray before using it in renderer.

Implements VisiMath.IVertexArray.

template<T >

System.Xml.Schema.XmlSchema VisiMath.VertexList< T >.GetSchema | ( |  | ) |

Reqired by IXMLserializable.

Returns:
  Null

template<T >

int VisiMath.VertexList< T >.GetSize | ( |  | ) |

Total size of the array.

Implements VisiMath.IVertexArray.

template<T >

int VisiMath.VertexList< T >.GetVertexSize | ( |  | ) |

Size of one vertex.

Implements VisiMath.IVertexArray.

template<T >

void VisiMath.VertexList< T >.ReadXml | ( | System.Xml.XmlReader | reader | ) |

Deserializes object from XML.

Parameters:

  reader | XML reader

template<T >

VertexArray<T> VisiMath.VertexList< T >.ToVertexArray | ( |  | ) |

Converts vertexlist to vertexarray.

Returns:
  New vertexarray containg copy of vertexlist

template<T >

VisiMath.VertexList< T >.VertexList | ( |  | ) |

Default constructor.

template<T >

VisiMath.VertexList< T >.VertexList | ( | int | capacity | ) |

Constructs vertexlist with specified capacity.

Parameters:

  capacity | Required capacity

template<T >

VisiMath.VertexList< T >.VertexList | ( | IEnumerable< T > | verarray | ) |

Constructs vertex list from the vertex collection.

Parameters:

  verarray | Source Vertex array

template<T >

void VisiMath.VertexList< T >.WriteXml | ( | System.Xml.XmlWriter | writer | ) |

Serializes object to XML.

Parameters:

  writer | XML writer to save values

## Property Documentation

template<T >

VertexIndexerColorByte VisiMath.VertexList< T >.Colors`[get]`

Quick accessor to color informations.

Implements VisiMath.IVertexArray.

template<T >

VertexDescriptor VisiMath.VertexList< T >.Descriptor`[get]`

Implements VisiMath.IVertexArray.

template<T >

bool VisiMath.VertexList< T >.IsPinnable`[get]`

Returns true if it's possible to pin vertices and use it in unmanaged code with GetPointer Dynamic VertexLists returns false (it's still possible to use GetPointer, but new vertexarray will be created!)

Implements VisiMath.IVertexArray.

template<T >

VertexIndexerVec3 VisiMath.VertexList< T >.Normals`[get]`

Quick acessor to normal vectors.

Implements VisiMath.IVertexArray.

template<T >

VertexIndexerVec3 VisiMath.VertexList< T >.Positions`[get]`

Quick accessor to position vectors.

Implements VisiMath.IVertexArray.

template<T >

VertexIndexerVec2 VisiMath.VertexList< T >.TexCoords`[get]`

Quick acessors to texture coordinates.

Implements VisiMath.IVertexArray.

template<T >

new IVertex VisiMath.VertexList< T >.this[int index]`[get, set]`

Implements VisiMath.IVertexArray.

The documentation for this class was generated from the following file:

- VertexList.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events